> For the complete documentation index, see [llms.txt](https://docs.ibexa.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ibexa.ai/developers/rest-api/triggers/list-trigger-categories.md).

# List Trigger Categories

List all available trigger categories aggregated from every source.

```json
{"openapi":"3.1.0","info":{"title":"Ibexa Agentic Marketing Platform","version":"0.1.0"},"security":[{"OAuth2PasswordBearer":[]}],"components":{"securitySchemes":{"OAuth2PasswordBearer":{"type":"oauth2","flows":{"password":{"scopes":{},"tokenUrl":"/api/v1/login/access-token"}}}},"schemas":{"TriggerCategoryListResponseSchema":{"properties":{"categories":{"items":{"$ref":"#/components/schemas/TriggerCategoryResponseSchema"},"type":"array","title":"Categories"},"total_count":{"type":"integer","title":"Total Count"}},"type":"object","required":["categories","total_count"],"title":"TriggerCategoryListResponseSchema","description":"Pydantic schema for the trigger category list response."},"TriggerCategoryResponseSchema":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"label":{"type":"string","title":"Label"},"icon_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Icon Url"}},"type":"object","required":["id","label","icon_url"],"title":"TriggerCategoryResponseSchema","description":"Pydantic schema for a trigger category list item."}}},"paths":{"/api/v1/triggers/categories":{"get":{"tags":["triggers","public"],"summary":"List Trigger Categories","description":"List all available trigger categories aggregated from every source.","operationId":"triggers-list_trigger_categories","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TriggerCategoryListResponseSchema"}}}},"401":{"description":"User not authenticated","content":{"application/json":{}}}}}}}}
```
